Bug 868854 - [XML-RPC] Testopia.api_version() can't get related version info
[XML-RPC] Testopia.api_version() can't get related version info
Status: NEW
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Yang Ren
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 05:53 EDT by Xin Gao
Modified: 2016-06-23 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-10-22 05:53:09 EDT
Description of problem:
Testopia.api_version() can't get related version info.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Testopia.api_version()
2.
3.
  
Actual results:
Fault: <Fault 1: 'ImportError: cannot import name XMLRPC_VERSION'>

in source code, this method need import "XMLRPC_VERSION" from the module "tcms".
actually, "XMLRPC_VERSION" can not be found.

Expected results:
get the right version info.

Additional info:
Comment 1 yangqiu 2014-05-06 06:33:15 EDT
The above issue also happened when invoke methods:
Testopia.nitrate_version
Testopia.tcms_version
Testopia.testopia_version

Note You need to log in before you can comment on or make changes to this bug.